Bug 141168 - [PATCH] security/gpgme: Fix BUILD_DEPENDS adding libassuan
Summary: [PATCH] security/gpgme: Fix BUILD_DEPENDS adding libassuan
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-04 11:10 UTC by Renato Botelho
Modified: 2009-12-08 10:40 UTC (History)
1 user (show)

See Also:


Attachments
gpgme-1.2.0_2.patch (691 bytes, patch)
2009-12-04 11:10 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2009-12-04 11:10:02 UTC
gpgme depends of libassuan to build, so, add it to BUILD_DEPENDS

Port maintainer (bsdkaffee@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2009-12-04 11:10:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-12-04 11:10:16 UTC
Maintainer of security/gpgme,

Please note that PR ports/141168 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141168

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-12-04 11:10:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Jason E. Hale 2009-12-07 20:43:56 UTC
I believe the problem is with an extraneous include in src/engine-gpgconf.c.  
Gpgme ships with it's own version of libassuan and builds it only if gpgsm 
support is requested.  I sent a message to the gnupg-users mailing list to see 
what the appropriate action is, but I have not received a response from the 
developers yet.  I think the patch below is the best solution for now.

--- 2009-12-05-gpgme.diff begins here ---
diff -ruN gpgme.orig/Makefile gpgme/Makefile
--- gpgme.orig/Makefile	2009-12-05 03:00:54.000000000 -0500
+++ gpgme/Makefile	2009-12-05 03:06:35.000000000 -0500
@@ -7,7 +7,7 @@
 
 PORTNAME=	gpgme
 PORTVERSION=	1.2.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	security
 MASTER_SITES=	${MASTER_SITE_GNUPG}
 MASTER_SITE_SUBDIR=	gpgme
diff -ruN gpgme.orig/files/patch-src__engine-gpgconf.c gpgme/files/patch-
src__engine-gpgconf.c
--- gpgme.orig/files/patch-src__engine-gpgconf.c	1969-12-31 19:00:00.000000000 
-0500
+++ gpgme/files/patch-src__engine-gpgconf.c	2009-12-05 03:04:35.000000000 
-0500
@@ -0,0 +1,10 @@
+--- ./src/engine-gpgconf.c.orig	2009-06-15 07:59:37.000000000 -0400
++++ ./src/engine-gpgconf.c	2009-12-05 03:03:51.000000000 -0500
+@@ -38,7 +38,6 @@
+ #include "priv-io.h"
+ #include "sema.h"
+ 
+-#include "assuan.h"
+ #include "debug.h"
+ 
+ #include "engine-backend.h"
--- 2009-12-05-gpgme.diff ends here ---
Comment 5 dfilter service freebsd_committer 2009-12-08 10:34:37 UTC
garga       2009-12-08 10:34:23 UTC

  FreeBSD ports repository

  Modified files:
    security/gpgme       Makefile 
  Added files:
    security/gpgme/files patch-src__engine-gpgconf.c 
  Log:
  Fix build without libassuan
  
  PR:             ports/141168
  Submitted by:   garga
  Reworked by:    maintainer
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.62      +1 -1      ports/security/gpgme/Makefile
  1.1       +10 -0     ports/security/gpgme/files/patch-src__engine-gpgconf.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Renato Botelho freebsd_committer 2009-12-08 10:34:46 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!